---
title: Update an existing local user
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/user/update-an-existing-local-user/
product: CloudConnexa Docs
---

# Update an existing local user

`PUT /api/v1/users/{id}`

**Update an existing local user.**

## Body parameter

```json
{
  "firstName": "string",
  "lastName": "string",
  "email": "string",
  "groupId": "00000000-0000-0000-0000-000000000000",
  "status": "INVITED",
  "role": "OWNER"
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | true | none |
| body | body | [UserUpdateRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/userupdaterequest.md) | true | none |
| » firstName | body | string | false | none |
| » lastName | body | string | false | none |
| » email | body | string | false | none |
| » groupId | body | string | false | none |
| » status | body | string | false | none |
| » role | body | string | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| » status | INVITED |
| » status | ACTIVE |
| » status | SUSPENDED |
| » status | SUSPENDED\_IDP |
| » role | OWNER |
| » role | MEMBER |
| » role | ADMIN |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | [UserResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/userresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get an existing user](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/user/get-an-existing-user.md)
Next: [Delete an existing user](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/user/delete-an-existing-user.md)
Index: https://openvpn.net/cloud-docs/llms.txt
